buku/urls.py
from django.urls import path


from . import views
from buku.views import dataBuku

app_name = 'buku'

urlpatterns = [
    path('', views.home, name='home'),
    path('dataBuku/', dataBuku)
]

form/urls.py
from django.urls import path

from . import views

app_name = 'form'

urlpatterns = [
    path('', views.form, name='form'),
    path('submitForm', views.submitForm),
    path('view/', views.view, name='view'),
    path('matkul/<int:pk>', views.matkul, name='matkul'),
    path('hapus/', views.hapus, name='hapus'),
    path('konfirmasiHapus/<int:pk>', views.konfirmasiHapus, name='konfirmasiHapus'),
    path('hapusBeneran/<int:pk>', views.hapusBeneran, name='hapusBeneran'),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
]

storyppw/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('story1/', include('story1.urls')),
    path('story3/', include('story3.urls')),
    path('form-matkul/', include('form.urls')),
    path('kegiatan/', include('kegiatan.urls')),
    path('buku/', include('buku.urls')),
    path('userAuth/', include('userAuth.urls')),
]

form/models.py
from django.db import models

class Matkul(models.Model):
    nama = models.CharField(max_length=50)
    dosen = models.CharField(max_length=50)
    sks = models.IntegerField()
    deskripsi = models.TextField()
    semester_tahun = models.CharField(max_length=30)
    ruang_kelas = models.CharField(max_length=30)

form/forms.py
from django import forms
from .models import Matkul

class InputFormMatkul(forms.ModelForm):
    class Meta:
        model = Matkul
        fields = ["nama", "dosen", "sks", "deskripsi", "semester_tahun", "ruang_kelas"]
    
    error_messages = {
        'required' : 'Informasi Wajib Diisi'
    }
    
    input_attrs_nama = {
        'type' : 'text',
        'placeholder' : 'Nama Mata Kuliah',
        'class' : 'form-control',
        'autocomplete' : 'off'
    }
    
    input_attrs_dosen = {
        'type' : 'text',
        'placeholder' : 'Dosen Pengajar',
        'class' : 'form-control',
        'autocomplete' : 'off'
    }
    
    input_attrs_sks = {
        'type' : 'number',
        'placeholder' : 'Jumlah SKS',
        'max_length' : '2',
        'class' : 'form-control',
        'autocomplete' : 'off'
    }
    
    input_attrs_deskripsi = {
        'type' : 'text',
        'placeholder' : 'Deskripsi Mata Kuliah',
        'class' : 'form-control',
        'autocomplete' : 'off'
    }
    
    input_attrs_semester = {
        'type' : 'text',
        'placeholder' : 'Semester Tahun (cth: Gasal 2020/2021)',
        'class' : 'form-control',
        'autocomplete' : 'off'
    }
    
    input_attrs_ruang = {
        'type' : 'text',
        'placeholder' : 'Ruang Kelas',
        'class' : 'form-control',
        'autocomplete' : 'off'
    }
    
    nama = forms.CharField(label='', required=True, max_length=50, widget=forms.TextInput(attrs=input_attrs_nama))
    dosen = forms.CharField(label='', required=True, max_length=50, widget=forms.TextInput(attrs=input_attrs_dosen))
    sks = forms.CharField(label='', required=True, widget=forms.TextInput(attrs=input_attrs_sks))
    deskripsi = forms.CharField(label='', required=True, widget=forms.Textarea(attrs=input_attrs_deskripsi))
    semester_tahun = forms.CharField(label='', required=True, max_length=30, widget=forms.TextInput(attrs=input_attrs_semester))
    ruang_kelas = forms.CharField(label='', required=True, max_length=30, widget=forms.TextInput(attrs=input_attrs_ruang))

form/views.py
from django.shortcuts import render, redirect
from .forms import InputFormMatkul
from .models import Matkul

def form(request):
    response = {'inputForm' : InputFormMatkul}
    return render(request, 'form/form.html', response)
    
def submitForm(request):
    formMatkul = InputFormMatkul(request.POST or None)
    if (formMatkul.is_valid() and request.method == "POST"):
        formMatkul.save()
    return redirect('form:form')

def view(request):
    matkuls = Matkul.objects.all()
    return render(request, 'form/view.html', {'matkuls':matkuls})
    
def matkul(request, pk):
    matkul = Matkul.objects.get(pk=pk)
    return render(request, 'form/matkul.html', {'matkul':matkul})
    
def hapus(request):
    matkuls = Matkul.objects.all()
    return render(request, 'form/hapus.html', {'matkuls':matkuls})
    
def konfirmasiHapus(request, pk):
    matkul = Matkul.objects.get(pk=pk)
    return render(request, 'form/konfirmasiHapus.html', {'matkul':matkul})
    
def hapusBeneran(request, pk):
    Matkul.objects.get(pk=pk).delete()
    return redirect('form:hapus')
    

form/templates/form/form.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Rico Tadjudin | Form Matkul</title>
<link rel="stylesheet" href="{% static "form/css/formStyles.css" %}">
{% endblock meta %}

{% block content %}
    <div class="container">
        <div id="content" class="content" style="background-image: url({% static 'main/img/space2.jpg' %}); background-size: 100% auto;">
            
            <div class="form-background">
                <div id="judul">
                    <p>Form Mata Kuliah</p>
                </div>
            
                <div class="form">
                    <form action="submitForm" method="POST">
                        {% csrf_token %}
                        {{ inputForm.as_p }}
                        <div class="kanankiri">
                            <a href="{% url 'main:home' %}" class="button1">Cancel</a>
                            <input type = "submit" value="Submit" class="button1">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}

form/templates/form/hapus.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Rico Tadjudin | View Form Matkul</title>
<link rel="stylesheet" href="{% static "form/css/formStyles.css" %}">
{% endblock meta %}

{% block content %}
    <div class="container">
        <div id="content" class="background content" style="background-image: url({% static 'main/img/space2.jpg' %}); background-size: 100% auto;">

            <div class="form-background">
                <div id="judul">
                    <p>Hapus Mata Kuliah</p>
                </div>
                
                <div class="table">
                    {% if matkuls %}
                        <table>
                            <thead>
                                <tr>
                                    <th id="th1">Nama Mata Kuliah</th>
                                    <th id="th2">Dosen Pengajar</th>
                                    <th id="th3">SKS</th>
                                    <th id="th4">Deskripsi Mata Kuliah</th>
                                    <th id="th5">Semester Tahun</th>
                                    <th id="th6">Ruang Kelas</th>
                                    <th id="th7"></th>
                                </tr>
                            </thead>
                            {% for matkul in matkuls %}
                                <tbody>
                                    <td id="td1">{{ matkul.nama }}</td>
                                    <td id="td2">{{ matkul.dosen }}</td>
                                    <td id="td3">{{ matkul.sks }}</td>
                                    <td id="td4">{{ matkul.deskripsi }}</td>
                                    <td id="td5">{{ matkul.semester_tahun }}</td>
                                    <td id="td6">{{ matkul.ruang_kelas }}</td>
                                    <td id="td7"><a href="{% url 'form:konfirmasiHapus' matkul.pk %}" class="button1" id="button-detail">Hapus</a></td>
                                </tbody>
                            {% endfor %}
                        </table>
                    {% endif %}
                </div>
            </div>
            
            <div>
                <a href="{% url 'main:home' %}" class="button1">Home</a>
            </div>
        </div>
    </div>
{% endblock content %}

form/templates/form/konfirmasiHapus.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Rico Tadjudin | View Form Matkul</title>
<link rel="stylesheet" href="{% static "form/css/formStyles.css" %}">
{% endblock meta %}

{% block content %}
    <div class="container">
        <div id="content" class="background content" style="background-image: url({% static 'main/img/space2.jpg' %}); background-size: 100% auto; background-repeat: no-repeat;">
            
            <div class="form-background">
                <div id="judul">
                    <p>Hapus {{ matkul.nama }}?</p>
                </div>
                
                <div id="table-detail">
                    <table>
                        <thead>
                            <tr>
                                <th>Nama Mata Kuliah</th>
                                <th>Dosen Pengajar</th>
                                <th>SKS</th>
                                <th>Deskripsi Mata Kuliah</th>
                                <th>Semester Tahun</th>
                                <th>Ruang Kelas</th>
                            </tr>
                        </thead>
                        <tbody>
                            <td>{{ matkul.nama }}</td>
                            <td>{{ matkul.dosen }}</td>
                            <td>{{ matkul.sks }}</td>
                            <td>{{ matkul.deskripsi }}</td>
                            <td>{{ matkul.semester_tahun }}</td>
                            <td>{{ matkul.ruang_kelas }}</td>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="kanankiri">
                <a href="{% url 'form:hapus' %}" class="button1">Kembali</a>
                <a href="{% url 'form:hapusBeneran' matkul.pk %}" class="button1">Hapus</a>
            </div>
        </div>
    </div>
{% endblock content %}

form/templates/form/matkul.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Rico Tadjudin | View Form Matkul</title>
<link rel="stylesheet" href="{% static "form/css/formStyles.css" %}">
{% endblock meta %}

{% block content %}
    <div class="container">
        <div id="content" class="background content" style="background-image: url({% static 'main/img/space2.jpg' %}); background-size: 100% auto; background-repeat: no-repeat;">
            
            <div class="form-background">
                <div id="judul">
                    <p>{{ matkul.nama }}</p>
                </div>
                
                <div id="table-detail">
                    <table>
                        <thead>
                            <tr>
                                <th>Nama Mata Kuliah</th>
                                <th>Dosen Pengajar</th>
                                <th>SKS</th>
                                <th>Deskripsi Mata Kuliah</th>
                                <th>Semester Tahun</th>
                                <th>Ruang Kelas</th>
                            </tr>
                        </thead>
                        <tbody>
                            <td>{{ matkul.nama }}</td>
                            <td>{{ matkul.dosen }}</td>
                            <td>{{ matkul.sks }}</td>
                            <td>{{ matkul.deskripsi }}</td>
                            <td>{{ matkul.semester_tahun }}</td>
                            <td>{{ matkul.ruang_kelas }}</td>
                        </tbody>
                    </table>
                </div>
            </div>
            <a href="{% url 'form:view' %}" class="button1">Kembali</a>
        </div>
    </div>
{% endblock content %}

form/templates/form/view.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Rico Tadjudin | View Form Matkul</title>
<link rel="stylesheet" href="{% static "form/css/formStyles.css" %}">
{% endblock meta %}

{% block content %}
    <div class="container">
        <div id="content" class="background content" style="background-image: url({% static 'main/img/space2.jpg' %}); background-size: 100% auto;">

            <div class="form-background">
                <div id="judul">
                    <p>Mata Kuliah</p>
                </div>
                
                <div class="table">
                    {% if matkuls %}
                        <table>
                            <thead>
                                <tr>
                                    <th id="th1">Nama Mata Kuliah</th>
                                    <th id="th2">Dosen Pengajar</th>
                                    <th id="th3">SKS</th>
                                    <th id="th4">Deskripsi Mata Kuliah</th>
                                    <th id="th5">Semester Tahun</th>
                                    <th id="th6">Ruang Kelas</th>
                                    <th id="th7"></th>
                                </tr>
                            </thead>
                            {% for matkul in matkuls %}
                                <tbody>
                                    <td id="td1">{{ matkul.nama }}</td>
                                    <td id="td2">{{ matkul.dosen }}</td>
                                    <td id="td3">{{ matkul.sks }}</td>
                                    <td id="td4">{{ matkul.deskripsi }}</td>
                                    <td id="td5">{{ matkul.semester_tahun }}</td>
                                    <td id="td6">{{ matkul.ruang_kelas }}</td>
                                    <td id="td7"><a href="{% url 'form:matkul' matkul.pk %}" class="button1" id="button-detail">detail</a></td>
                                </tbody>
                            {% endfor %}
                        </table>
                    {% endif %}
                </div>
            </div>
            
            <div>
                <a href="{% url 'main:home' %}" class="button1">Home</a>
            </div>
        </div>
    </div>
{% endblock content %}